org.gradle.nativeplatform

## Class NativeExecutableFileSpec

- java.lang.Object
- - org.gradle.nativeplatform.NativeExecutableFileSpec

-     @Incubating
      public class NativeExecutableFileSpec
      extends Object

  Specifies how to build and where to place a native executable file.

  TODO:HH resolve naming conflict with existing NativeExecutableSpec

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeExecutableFileSpec()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getFile()`
    `NativeToolChain` | `getToolChain()` The Tool Chain that produces the native executable.
    `void` | `setFile(File file)`
    `void` | `setToolChain(NativeToolChain toolChain)` Sets the Tool Chain that produces the native executable.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NativeExecutableFileSpec

          public NativeExecutableFileSpec()

  - ### Method Detail

    - #### getFile

          public File getFile()

    - #### setFile

          public void setFile(File file)

    - #### getToolChain

          public NativeToolChain getToolChain()

      The Tool Chain that produces the native executable.
      Since:
        4.7

    - #### setToolChain

          public void setToolChain(NativeToolChain toolChain)

      Sets the Tool Chain that produces the native executable.
      Since:
        4.7